package vouch

import "reflect"

var Types = map[reflect.Kind]string{
	reflect.Invalid:       "invalid",
	reflect.Bool:          "bool",
	reflect.Int:           "int",
	reflect.Int8:          "int8",
	reflect.Int16:         "int16",
	reflect.Int32:         "int32",
	reflect.Int64:         "int64",
	reflect.Uint:          "uint",
	reflect.Uint8:         "uint8",
	reflect.Uint16:        "uint16",
	reflect.Uint32:        "uint32",
	reflect.Uint64:        "uint64",
	reflect.Uintptr:       "uintptr",
	reflect.Float32:       "float32",
	reflect.Float64:       "float64",
	reflect.Complex64:     "complex64",
	reflect.Complex128:    "complex128",
	reflect.Array:         "array",
	reflect.Chan:          "chan",
	reflect.Func:          "func",
	reflect.Interface:     "interface",
	reflect.Map:           "map",
	reflect.Pointer:       "pointer",
	reflect.Slice:         "slice",
	reflect.String:        "string",
	reflect.Struct:        "struct",
	reflect.UnsafePointer: "unsafe_pointer",
}
